Subject: [PATCH 0/2] system: image: Fix root fs corruption from certain u-boot.

From: Caliph Nomble <[email-masked]>
Date: Thu, 31 Dec 2020 23:34:01 +0000

Hi,

u-boot for pretty much every rockchip system supported installs to an offset of
8MB, which is currently in the middle of generated disk images' root
filesystems. This patchset adds another disk-image option for devices that
require a larger root offset, and configures the pinebook-pro image to use it.

I chose a 9MB offset by adding the previous root offset of 1MB to the
additional 8MB offset required. I know at least u-boot-rockpro64-rk3399 doesn't
build to over 1MB in size, so it should be fine? Feel free to change the
specific offset used.

Thanks!